#ifndef __BL2101_OTP_H__
#define __BL2101_OTP_H__

#include "BL2101.h"

#define OTP_DATA_ADDR     0x41000000
#define LOCK_CMD          0xAA
#define UNLOCK_CMD        0x12345678
uint8_t OTP_Write(uint32_t addr,uint32_t data);     //OTP写数据
uint32_t OTP_Read_1(uint32_t addr);                 //OTP读数据
uint32_t OTP_Read_2(uint32_t addr);                 //OTP读数据
void OTP_Lock(void);                                //OTP编程锁定
void OTP_UnLock(void);                              //OTP编程解锁

#endif //__BL2101_OTP_H__
